using System;
using System.Collections.Generic;
using System.Text;

namespace HRLibrary
{
    public class Company
    {
        private int name;
        private Dictionary<string,Employee> employees 
            = new Dictionary<string,Employee>();

        public Employee this[string id]{
            get {
                return employees[id];
            }
            set {
                employees[id] = value;
            }
        }

        public Dictionary<string, Employee> Employees {
            get { return employees; }
        }

        public bool AddEmployee(Employee emp) {
            bool result = true;
            try
            {
                employees.Add(emp.Id, emp);
            }
            catch (Exception e) {
                result = false;
            }
            return result;
        }
    }
}
